%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  excursions
%global packver   2.5.8
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2.5.8
Release:          1%{?dist}%{?buildtag}
Summary:          Excursion Sets and Contour Credibility Regions for Random Fields

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    gsl-devel
BuildRequires:    R-devel >= 3.5
Requires:         R-core >= 3.5
BuildRequires:    R-CRAN-fmesher >= 0.1.2
BuildRequires:    R-CRAN-Matrix 
BuildRequires:    R-CRAN-sp 
BuildRequires:    R-graphics 
BuildRequires:    R-methods 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-withr 
Requires:         R-CRAN-fmesher >= 0.1.2
Requires:         R-CRAN-Matrix 
Requires:         R-CRAN-sp 
Requires:         R-graphics 
Requires:         R-methods 
Requires:         R-stats 
Requires:         R-CRAN-withr 

%description
Functions that compute probabilistic excursion sets, contour credibility
regions, contour avoiding regions, and simultaneous confidence bands for
latent Gaussian random processes and fields. The package also contains
functions that calculate these quantities for models estimated with the
INLA package. The main references for excursions are Bolin and Lindgren
(2015) <doi:10.1111/rssb.12055>, Bolin and Lindgren (2017)
<doi:10.1080/10618600.2016.1228537>, and Bolin and Lindgren (2018)
<doi:10.18637/jss.v086.i05>. These can be generated by the citation
function in R.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
